Bug 327541 - RFE: support opengl in gtk2hs package
RFE: support opengl in gtk2hs package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2hs (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 08:14 EDT by Ian Collier
Modified: 2008-07-14 10:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-14 10:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
spec file patch which adds opengl support (2.19 KB, patch)
2007-10-11 08:14 EDT, Ian Collier
no flags Details | Diff

  None (edit)
Description Ian Collier 2007-10-11 08:14:58 EDT
There doesn't currently seem to be a Fedora package which will install the
gtkglext (opengl) binding for GHC, although gktglext itself and gkt2hs are both
available packages.  So I post here merely to suggest its inclusion.

The attached patch to the gtk2hs spec file adds a gtkglext subpackage by more or
less copying what was there for the mozembed subpackage.  As far as I can tell,
including this won't make a material difference to the already existing gtk2hs
package, but will build an extra package which can be optionally installed if
opengl support is required.
Comment 1 Ian Collier 2007-10-11 08:14:58 EDT
Created attachment 224241 [details]
spec file patch which adds opengl support
Comment 2 Bryan O'Sullivan 2007-10-11 10:08:53 EDT
I've already got a spec file that builds OpenGL support, but I'm going to wait
to push it out until ghc 6.8.1 and gtk2hs 0.9.13 are ready to go, in a few weeks
(i.e. likely after F8 ships).
Comment 3 Jens Petersen 2008-01-26 05:07:21 EST
Bryan do you still want to do this?  Maybe good now for f9 at least?
Comment 4 Bryan O'Sullivan 2008-01-26 12:17:44 EST
Jens, if you have cycles to spare, please feel free to take this.  I'm short on
time, so can't guarantee I'll get to this in time for F9.  I lost that spec
file, but it only needs about three lines of changes.
Comment 5 Jon Stanley 2008-04-23 16:28:31 EDT
Adding FutureFeature keyword to RFE's.
Comment 6 Jens Petersen 2008-06-22 22:15:42 EDT
Thanks for the suggestion.  Added to pkg cvs for rawhide now.
Unfortunately gtk2hs isn't building yet...
Comment 7 Bryan O'Sullivan 2008-07-14 10:36:53 EDT
Fixed with 0.9.13.

Note You need to log in before you can comment on or make changes to this bug.